package Common.Visual.Tables;
import Common.MainModule_;
import Common.Visual.Fonts.VisualiserFonts;
import Common.Visual.Themes.ThemeElement;

import javax.swing.*;
//наиболее распространенный случай. переотображение текста и/или изображения в ячейке таблицы.
public class StyledCellLabel extends JLabel implements ThemeElement {
    public StyledCellLabel() {
        setFont(MainModule_.instance.getUI().getTheme().Fonts.get(VisualiserFonts.TreePlain));
        setHorizontalAlignment(SwingConstants.LEFT);
        setVerticalAlignment(SwingConstants.CENTER);
        setOpaque(true);
        applyTheme();
    }
    @Override
    public void applyTheme() {
        setBackground(MainModule_.instance.getUI().getTheme().table_background);
        setForeground(MainModule_.instance.getUI().getTheme().foreground);
    }
}
